For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardGet started
  • Getting Started
    • Introduction
    • Quickstart
    • Errors
  • Core Concepts
    • Capabilities
    • Containers
    • Gateway
    • Wallets and top-ups
    • Grants and controls
    • Mandates
    • Approvals
    • Receipts
    • Settlements
  • Authentication
    • Authentication overview
    • Wallet sign-in (SIWE)
    • Connected apps (OAuth)
  • Guides
    • Call a capability
    • Monetize an API
    • Apply for public capability
    • Realtime notifications
  • Agents
    • MCP
    • CLI
  • Admin
    • Capability applications
  • API Reference
    • Overview
    • Authentication
  • Generated API Explorer
      • POSTBuild SIWE-style challenge for mandate signing
      • GETList mandates
      • POSTCreate a signed mandate
      • GETGet a mandate
      • DELCancel a mandate
      • POSTFulfill against a mandate
LogoLogo
DashboardGet started
Generated API ExplorerIntent Mandates

Build SIWE-style challenge for mandate signing

POST
/v1/intent-mandates/challenge
POST
/v1/intent-mandates/challenge
$curl -X POST https://api.lipafy.xyzyz/v1/intent-mandates/challenge \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "natural_language_description": "string",
> "capability_slug_patterns": [
> "string"
> ],
> "max_amount_per_fulfillment": "string",
> "total_budget": "string",
> "expires_at": "2024-01-15T09:30:00Z"
>}'
200Successful
1{
2 "message": "string",
3 "nonce": "string"
4}
Was this page helpful?
Previous

List mandates

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
natural_language_descriptionstringRequired1-2000 characters
capability_slug_patternslist of stringsRequired
max_amount_per_fulfillmentstringRequired
total_budgetstringRequired
expires_atdatetimeRequired
allowed_merchantslist of strings or nullOptional
currency_codestringOptionalDefaults to KES
max_fulfillmentsintegerOptional1-1000Defaults to 1
conditionsmap from strings to anyOptional

Response

OK
messagestring
noncestring